## thonny 2.1.16

=== requirements.txt ===
jedi>=0.9

=== debian/changelog ===
thonny (2.1.16-3) unstable; urgency=medium

  * Install icons to correct location.

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Wed, 14 Feb 2018 20:36:15 +0200

thonny (2.1.16-2) unstable; urgency=medium

  * Install desktop and metainfo files to correct location.
  * Bump Standards-Version and compat level (no changes needed).
  * Rename lintian tag debian-watch-does-not-check-gpg-signature.
  * Use HTTPS URL for copyright format.

 -- Dominik George <nik@naturalnet.de>  Tue, 13 Feb 2018 15:17:43 +0100

thonny (2.1.16-1) unstable; urgency=medium

  * Initial release (Closes: #857042)

 -- Dominik George <nik@naturalnet.de>  Sun, 03 Dec 2017 18:00:55 +0100

=== debian/control ===
Source: thonny
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Aivar Annamaa <aivar.annamaa@gmail.com>,
 Dominik George <nik@naturalnet.de>,
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-exec,
 dh-python,
 python3-all,
 python3-jedi,
 python3-setuptools,
 python3-tk,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-edu/pkg-team/thonny.git
Vcs-Git: https://anonscm.debian.org/cgit/debian-edu/pkg-team/thonny.git
Homepage: http://thonny.org
Testsuite: autopkgtest-pkg-python

Package: thonny
Architecture: all
Depends:
 python3-jedi (>= 0.9.0),
 python3-pip,
 python3-tk,
 python3-venv,
 ${misc:Depends},
 ${python3:Depends},
Description: Python IDE for beginners
 Thonny is a simple Python IDE with features useful for learning programming.
 .
 It comes with a debugger which is able to visualize all the conceptual steps
 taken to run a Python program (executing statements, evaluating expressions,
 maintaining the call stack). There is a GUI for installing 3rd party packages
 and special mode for learning about references.
 .
 See the homepage for more information and screenshots.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=thonny

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install

	# Move image resources to /usr/share as per FHS
	mkdir -p debian/thonny/usr/share/thonny
	mv debian/thonny/usr/lib/python3*/dist-packages/thonny/res debian/thonny/usr/share/thonny/
	ln -sf /usr/share/thonny/res debian/thonny/usr/lib/python3*/dist-packages/thonny/

override_dh_installdocs:
	dh_installdocs

	# Move help page to /usr/share/doc to double as README and be out of /usr/lib
	cd debian/thonny/usr/lib/python3*/dist-packages/thonny/plugins/help/ ; \
	    mv help.rst ../../../../../../share/doc/thonny/README.rst ; \
	    ln -sf /usr/share/doc/thonny/README.rst help.rst

override_dh_compress:
	dh_compress -X README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/thonny/thonny-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## thonny 2.1.17

=== debian/changelog ===
thonny (2.1.17-1) unstable; urgency=medium

  [ Dominik George ]

  * Move to Salsa.

  [ Aivar Annamaa ]

  * New upstream version 2.1.17

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Fri, 23 Mar 2018 15:26:21 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  python3-setuptools,
  python3-tk,
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-edu/pkg-team/thonny.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-edu/pkg-team/thonny.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
+Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: http://thonny.org
 Testsuite: autopkgtest-pkg-python

## thonny 2.1.22

=== requirements.txt ===
jedi>=0.10

=== debian/changelog ===
thonny (2.1.22-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    + Fix version requirement for jedi.

 -- Dominik George <natureshadow@debian.org>  Tue, 02 Oct 2018 13:25:24 +0200

thonny (2.1.22-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * Depend on pkg-resources. (Closes: #904771)

  [ Aivar Annamaa ]
  * New upstream version 2.1.22
  * Add python3-pkg-resources as dependency (by Mike Gabriel)
  * Update debian/watch to ignore beta versions

  [ Dominik George ]
  * Update my mail address as Uploader.
  * Update dependency to jedi to >= 0.10.
  * Fix installation of resources after Python 3.7 was enabled.
  * Bump Standards-Version to 4.2.1.
    + No changes needed.

 -- Dominik George <natureshadow@debian.org>  Thu, 27 Sep 2018 10:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Aivar Annamaa <aivar.annamaa@gmail.com>,
- Dominik George <nik@naturalnet.de>,
+ Dominik George <natureshadow@debian.org>,
 Section: devel
 Priority: optional
 Build-Depends:
@@ -10,10 +10,10 @@
  dh-exec,
  dh-python,
  python3-all,
- python3-jedi,
+ python3-jedi (>= 0.10.1~),
  python3-setuptools,
  python3-tk,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: http://thonny.org
@@ -22,8 +22,9 @@
 Package: thonny
 Architecture: all
 Depends:
- python3-jedi (>= 0.9.0),
+ python3-jedi (>= 0.10.1~),
  python3-pip,
+ python3-pkg-resources,
  python3-tk,
  python3-venv,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=thonny

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install

	# Move image resources to /usr/share as per FHS
	rm -rf debian/thonny/usr/lib/python3*/dist-packages/thonny/res
	mkdir -p debian/thonny/usr/lib/python3/dist-packages/thonny
	ln -s /usr/share/thonny/res debian/thonny/usr/lib/python3/dist-packages/thonny/res

override_dh_installdocs:
	dh_installdocs

	# Move help page to /usr/share/doc to double as README and be out of /usr/lib
	rm -f debian/thonny/usr/lib/python3*/dist-packages/thonny/plugins/help/help.rst
	mkdir -p debian/thonny/usr/lib/python3/dist-packages/thonny/plugins/help
	ln -s /usr/share/doc/thonny/help.rst debian/thonny/usr/lib/python3/dist-packages/thonny/plugins/help/help.rst

override_dh_compress:
	dh_compress -X help.rst

## thonny 3.0.5

=== debian/changelog ===
thonny (3.0.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dominik George <natureshadow@debian.org>  Fri, 02 Nov 2018 09:44:44 +0100

thonny (3.0.5-1) unstable; urgency=medium

  * New upstream version 3.0.5

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Sat, 27 Oct 2018 19:13:21 +0200

thonny (3.0.4-1) unstable; urgency=medium

  [ Aivar Annamaa ]
  * New upstream version 3.0.4
  * Add required dependencies:
    - python3-docutils
    - python3-serial
    - python3-pyperclip
    - pylint3
    - mypy
  * Add recommended dependencies:
    - zenity
    - xsel
  * Add suggested dependency: python3-distro
  * Update Thonny homepage (https instead of http)
  * Point docs to README.rst

  [ Dominik George ]
  * Fix version requirement for jedi.
  * Remove code for using help.rst as README.
  * Rename all binary-package related files to thonny.*.

 -- Dominik George <natureshadow@debian.org>  Fri, 26 Oct 2018 18:48:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,41 @@
  debhelper (>= 11),
  dh-exec,
  dh-python,
+ mypy,
+ pylint3,
  python3-all,
+ python3-docutils,
  python3-jedi (>= 0.10.1~),
+ python3-pyperclip,
+ python3-serial,
  python3-setuptools,
  python3-tk,
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
-Homepage: http://thonny.org
+Homepage: https://thonny.org
 Testsuite: autopkgtest-pkg-python
 
 Package: thonny
 Architecture: all
 Depends:
+ mypy,
+ pylint3,
+ python3-docutils,
  python3-jedi (>= 0.10.1~),
  python3-pip,
  python3-pkg-resources,
+ python3-pyperclip,
+ python3-serial,
  python3-tk,
  python3-venv,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ xsel,
+ zenity,
+Suggests:
+ python3-distro,
 Description: Python IDE for beginners
  Thonny is a simple Python IDE with features useful for learning programming.
  .

## thonny 3.0.8

=== requirements.txt ===
jedi>=0.10
setuptools>=33.1.1
pyserial>=3.2.1
pylint>=1.6.5
astroid>=1.4.9
docutils>=0.13.1
mypy>=0.470
pyperclip>=1.5.27

=== debian/changelog ===
thonny (3.0.8-1) unstable; urgency=medium

  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Sat, 01 Dec 2018 12:23:58 +0100

## thonny 3.1.0

=== requirements.txt ===
jedi>=0.10
setuptools>=33.1.1
pyserial>=3.1.1
pylint>=1.6.5
astroid>=1.4.9
docutils>=0.13.1
mypy>=0.470
pyperclip>=1.5.27
asttokens>=1.1.10

=== debian/changelog ===
thonny (3.1.0-1) unstable; urgency=medium

  [ Aivar Annamaa ]
  * New upstream version.

  [ Dominik George ]
  * Add Recommends and Suggests from Python helper.
  * Remove duplicate explicit dependencies.

 -- Dominik George <natureshadow@debian.org>  Wed, 30 Jan 2019 13:23:59 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-serial,
  python3-setuptools,
  python3-tk,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: https://thonny.org
@@ -29,21 +29,20 @@
 Depends:
  mypy,
  pylint3,
- python3-docutils,
- python3-jedi (>= 0.10.1~),
  python3-pip,
  python3-pkg-resources,
- python3-pyperclip,
- python3-serial,
  python3-tk,
  python3-venv,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ python3-asttokens,
  xsel,
  zenity,
+ ${python3:Recommends},
 Suggests:
  python3-distro,
+ ${python3:Suggests},
 Description: Python IDE for beginners
  Thonny is a simple Python IDE with features useful for learning programming.
  .

## thonny 3.1.1

=== debian/changelog ===
thonny (3.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on asttokens now it is in Debian.

 -- Dominik George <natureshadow@debian.org>  Tue, 12 Feb 2019 12:55:27 +0100

## thonny 3.1.2

=== debian/changelog ===
thonny (3.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Fri, 22 Feb 2019 20:12:16 +0100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 Depends:
  mypy,
  pylint3,
+ python3-asttokens,
  python3-pip,
  python3-pkg-resources,
  python3-tk,
@@ -36,7 +37,6 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- python3-asttokens,
  xsel,
  zenity,
  ${python3:Recommends},

=== debian/watch ===
version=4
https://pypi.debian.net/thonny/thonny-(\d+\.\d+(?:\.\d+))\.tar\.gz

## thonny 3.2.1

=== debian/changelog ===
thonny (3.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Change pylint3 dependency to pylint. (Closes: #944831)

 -- Dominik George <natureshadow@debian.org>  Thu, 21 Nov 2019 11:14:41 +0100

thonny (3.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Mon, 12 Aug 2019 20:12:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  dh-exec,
  dh-python,
  mypy,
- pylint3,
+ pylint,
  python3-all,
  python3-docutils,
  python3-jedi (>= 0.10.1~),
- python3-pyperclip,
+ python3-send2trash,
  python3-serial,
  python3-setuptools,
  python3-tk,
@@ -28,7 +28,7 @@
 Architecture: all
 Depends:
  mypy,
- pylint3,
+ pylint,
  python3-asttokens,
  python3-pip,
  python3-pkg-resources,

## thonny 3.2.7

=== requirements.txt ===
--- 
+++ 
@@ -5,5 +5,5 @@
 astroid>=1.4.9
 docutils>=0.13.1
 mypy>=0.470
-pyperclip>=1.5.27
 asttokens>=1.1.10
+Send2Trash>=1.4.2

=== debian/changelog ===
thonny (3.2.7-1) unstable; urgency=medium

  * New upstream version (Closes: #950884).
  * Bump Standards-Version (no changes needed).

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Mon, 10 Feb 2020 22:12:16 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-serial,
  python3-setuptools,
  python3-tk,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: https://thonny.org

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=thonny

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install

	# Move image resources to /usr/share as per FHS
	rm -rf debian/thonny/usr/lib/python3*/dist-packages/thonny/res
	mkdir -p debian/thonny/usr/lib/python3/dist-packages/thonny
	ln -s /usr/share/thonny/res debian/thonny/usr/lib/python3/dist-packages/thonny/res

## thonny 3.3.6

=== debian/changelog ===
thonny (3.3.6-1~mx21+1) mx; urgency=medium

  * Repackaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 12 Jul 2021 17:53:12 -0400

thonny (3.3.6-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 09 Apr 2021 23:28:18 -0400

thonny (3.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version (no changes needed).

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Sat, 9 Jan 2021 20:12:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: thonny
-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Aivar Annamaa <aivar.annamaa@gmail.com>,
  Dominik George <natureshadow@debian.org>,
@@ -13,12 +14,12 @@
  pylint,
  python3-all,
  python3-docutils,
- python3-jedi (>= 0.10.1~),
+ python3-jedi (>= 0.13),
  python3-send2trash,
  python3-serial,
  python3-setuptools,
  python3-tk,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: https://thonny.org

## thonny 3.3.10

=== debian/changelog ===
thonny (3.3.10-1+rpt1) buster; urgency=medium

  * Update to version 3.3.10 of Thonny

 -- Simon Long <simon@raspberrypi.com>  Wed, 02 Jun 2021 12:31:37 +0100

thonny (3.3.6-1+rpt1) buster; urgency=medium

  * Update to version 3.3.6 of Thonny

 -- Simon Long <simon@raspberrypi.com>  Thu, 11 Mar 2021 11:33:23 +0000

thonny (3.3.5-1+rpt1) buster; urgency=medium

  * Update to version 3.3.5 of Thonny

 -- Simon Long <simon@raspberrypi.com>  Wed, 24 Feb 2021 15:20:58 +0000

thonny (3.3.3-1+rpt1) buster; urgency=medium

  * Update to version 3.3.3 of Thonny

 -- Simon Long <simon@raspberrypi.com>  Thu, 21 Jan 2021 08:34:59 +0000

thonny (3.3.2-1+rpt1) buster; urgency=medium

  * Update to version 3.3.2 of Thonny

 -- Simon Long <simon@raspberrypi.com>  Thu, 14 Jan 2021 10:18:03 +0000

thonny (3.3.0-1+rpt1) buster; urgency=medium

  * Update to version 3.3.0 of Thonny

 -- Simon Long <simon@raspberrypi.com>  Mon, 16 Nov 2020 14:29:48 +0000

thonny (3.2.6-1+rpt1) buster; urgency=medium

  * Update to version 3.2.6 of Thonny

 -- Simon Long <simon@raspberrypi.org>  Thu, 09 Jan 2020 09:14:43 +0000

thonny (3.2.3-1+rpt1) buster; urgency=medium

  * Update to version 3.2.3 of Thonny

 -- Simon Long <simon@raspberrypi.org>  Mon, 11 Nov 2019 10:42:24 +0000

thonny (3.2.0-1+rpt2) buster; urgency=medium

  * New transtional package added

 -- Simon Long <simon@raspberrypi.org>  Thu, 15 Aug 2019 16:18:30 +0100

thonny (3.2.0-1+rpt1) buster; urgency=medium

  * First release of Thonny 3.2

 -- Simon Long <simon@raspberrypi.org>  Mon, 12 Aug 2019 10:44:14 +0100

thonny (3.1.0-1+rpt2) stretch; urgency=medium

  * Set default variable for simple mode correctly

 -- Simon Long <simon@raspberrypi.org>  Thu, 31 Jan 2019 09:55:14 +0000

thonny (3.1.0-1+rpt1) stretch; urgency=medium

  * New upstream version 3.1.0 with Pi-specific changes

 -- Simon Long <simon@raspberrypi.org>  Wed, 30 Jan 2019 11:31:41 +0000

thonny (3.0.8-1+rpt1) stretch; urgency=medium

  * New upstream version 3.0.8 with Pi-specific changes

 -- Simon Long <simon@raspberrypi.org>  Fri, 16 Nov 2018 10:49:30 +0000

thonny (3.0.5-1+rpt1) stretch; urgency=medium

  * Pi-specific changes

 -- Simon Long <simon@raspberrypi.org>  Thu, 01 Nov 2018 11:40:56 +0000

=== debian/control ===
Source: thonny
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Aivar Annamaa <aivar.annamaa@gmail.com>,
 Dominik George <natureshadow@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-exec,
 dh-python,
 mypy,
 pylint3,
 python3-all,
 python3-docutils,
 python3-jedi (>= 0.10.1~),
 python3-pyperclip,
 python3-serial,
 python3-setuptools,
 python3-tk,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
Homepage: https://thonny.org
Testsuite: autopkgtest-pkg-python

Package: thonny
Replaces:
 python3-thonny (<< 3.2.0-1~),
 python3-thonny-pi,
Breaks:
 python3-thonny (<< 3.2.0-1~),
 python3-thonny-pi,
Architecture: all
Depends:
 mypy,
 python3-pip,
 python3-tk,
 python3-venv,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 xsel,
 zenity,
Suggests:
 python3-distro,
Description: Python IDE for beginners
 Thonny is a simple Python IDE with features useful for learning programming.
 .
 It comes with a debugger which is able to visualize all the conceptual steps
 taken to run a Python program (executing statements, evaluating expressions,
 maintaining the call stack). There is a GUI for installing 3rd party packages
 and special mode for learning about references.
 .
 See the homepage for more information and screenshots.

Package: python3-thonny
Depends: thonny, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: python3-thonny-pi
Depends: thonny, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=thonny
+export PYBUILD_DESTDIR_python3=debian/thonny/
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## thonny 3.3.14

=== requirements.txt ===
jedi>=0.13
setuptools>=33.1
pyserial>=3.4
pylint>=1.9
docutils>=0.14
mypy>=0.670
asttokens>=1.1
Send2Trash>=1.4

=== debian/changelog ===
thonny (3.3.14-1~mx21+1) mx; urgency=medium

  * Initial build from upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 10 Nov 2021 16:45:38 -0500

thonny (3.3.14-1) unstable; urgency=medium

  [ Aivar Annamaa ]
  * New upstream version.
  * Bump Standards-Version to 4.6.0 (no changes needed).

  [ Dominik George ]
  * Add package version constraints to d/control.
  * Add lintian override for link from usr/lib to usr/share.
  * Bump compat level to 13.

 -- Dominik George <natureshadow@debian.org>  Mon, 13 Sep 2021 10:10:33 +0200

=== debian/control ===
Source: thonny
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Aivar Annamaa <aivar.annamaa@gmail.com>,
 Dominik George <natureshadow@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 13),
 dh-exec,
 dh-python,
 mypy,
 pylint,
 python3-all,
 python3-docutils,
 python3-jedi (>= 0.13~),
 python3-send2trash (>=1.4),
 python3-serial (>=3.4~),
 python3-setuptools (>=33.1~),
 python3-tk,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
Homepage: https://thonny.org
Testsuite: autopkgtest-pkg-python

Package: thonny
Architecture: all
Depends:
 mypy,
 pylint,
 python3-asttokens (>=1.1),
 python3-pip,
 python3-pkg-resources,
 python3-tk,
 python3-venv,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 xsel,
 zenity,
 ${python3:Recommends},
Suggests:
 python3-distro,
 ${python3:Suggests},
Description: Python IDE for beginners
 Thonny is a simple Python IDE with features useful for learning programming.
 .
 It comes with a debugger which is able to visualize all the conceptual steps
 taken to run a Python program (executing statements, evaluating expressions,
 maintaining the call stack). There is a GUI for installing 3rd party packages
 and special mode for learning about references.
 .
 See the homepage for more information and screenshots.

## thonny 4.0.1

=== requirements.txt ===
jedi>=0.18.1
setuptools>=45.2
pyserial>=3.4
pylint>=2.4
docutils>=0.16
mypy>=0.761
asttokens>=2.0
Send2Trash>=1.5

# wheel is required by pipkin, which is currently vendored
wheel

=== debian/changelog ===
thonny (4.0.1-1) unstable; urgency=medium

  [ Aivar Annamaa ]
  * New upstream version.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Bump versions of some dependencies
  * Add python3-wheel dependency

  [ Dominik George ]
  * Bump copyright year in d/copyright for upstream.

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Sat, 5 Nov 2022 11:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: thonny
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Aivar Annamaa <aivar.annamaa@gmail.com>,
  Dominik George <natureshadow@debian.org>,
@@ -14,12 +13,12 @@
  pylint,
  python3-all,
  python3-docutils,
- python3-jedi (>= 0.13~),
- python3-send2trash (>=1.4),
+ python3-jedi (>= 0.18~),
+ python3-send2trash (>=1.5),
  python3-serial (>=3.4~),
- python3-setuptools (>=33.1~),
+ python3-setuptools (>=45.2~),
  python3-tk,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: https://thonny.org
@@ -30,11 +29,12 @@
 Depends:
  mypy,
  pylint,
- python3-asttokens (>=1.1),
+ python3-asttokens (>=2.0),
  python3-pip,
  python3-pkg-resources,
  python3-tk,
  python3-venv,
+ python3-wheel,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## thonny 4.1.4

=== debian/changelog ===
thonny (4.1.4-1) bookworm; urgency=medium

  [ Aivar Annamaa ]
  * New upstream version.

 -- Simon Long <simon@raspberrypi.com>  Thu, 23 Nov 2023 16:27:34 +0100

thonny (4.1.3-1+rpt1) bookworm; urgency=medium

  * Fix detection of Pi under Wayland
  * Fix default width in simple mode

 -- Simon Long <simon@raspberrypi.com>  Mon, 02 Oct 2023 08:27:34 +0100

thonny (4.1.3-1) unstable; urgency=medium

  [ Aivar Annamaa ]
  * New upstream version.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Bump copyright year in d/copyright for upstream.

 -- Aivar Annamaa <aivar.annamaa@gmail.com>  Thu, 28 Sep 2023 23:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-serial (>=3.4~),
  python3-setuptools (>=45.2~),
  python3-tk,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: https://thonny.org

## thonny 4.1.7

=== debian/changelog ===
thonny (4.1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.1.7
  * d/thonny.lintian-overrides: Drop file, unused override
  * d/s/lintian-overrides: Drop file, override is not for a false positive
  * d/control: Add Rules-Requires-Root: no
  * d/control: Switch to debhelper-compat
  * d/rules: Don't install .DS_Store files

 -- Samuel Henrique <samueloph@debian.org>  Sat, 08 Feb 2025 19:01:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
  dh-exec,
  dh-python,
  mypy,
@@ -18,11 +18,12 @@
  python3-serial (>=3.4~),
  python3-setuptools (>=45.2~),
  python3-tk,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/thonny
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/thonny.git
 Homepage: https://thonny.org
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: thonny
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=thonny

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install

	# Move image resources to /usr/share as per FHS
	rm -rf debian/thonny/usr/lib/python3*/dist-packages/thonny/res
	mkdir -p debian/thonny/usr/lib/python3/dist-packages/thonny
	ln -s /usr/share/thonny/res debian/thonny/usr/lib/python3/dist-packages/thonny/res

execute_after_dh_auto_install:
	find debian/thonny -name .DS_Store -delete

=== debian/watch ===
version=4
https://thonny.org/tarballs/thonny-(\d+\.\d+(?:\.\d+))\.tar\.gz
